package authsvc

import (
	staffdomain "legalgo-BE-go/internal/domain/staff"
)

func (as *impl) UpdateStaff(spec staffdomain.Staff) error {
	if _, err := as.staffRepo.GetStaffByID(spec.ID); err != nil {
		return err
	}

	if err := as.staffRepo.Update(spec); err != nil {
		return err
	}

	return nil
}
